EphyEmbedFactory
3
EPIPHANY Library

# EphyEmbedFactory

Factory for creating new embed objects

## Synopsis

    GObject*            ephy_embed_factory_new_object       (GType type);

## Description

EphyEmbed, EphyEmbedPersist and EphyEmbedSingle are all interfaces. In the interest of abstraction, the only recommended way to create new instances of the objects which implement these interfaces is to use EphyEmbedFactory.

To create a new instance of an EphyEmbed, EphyEmbedPersist or EphyEmbedSingle, use `ephy_embed_factory_new_object()`.

## Details

### ephy_embed_factory_new_object ()

    GObject*            ephy_embed_factory_new_object       (GType type);

Create an instance of an object implementing the `type` interface.

`type` :

  a GType specifying which object to create

Returns :

  the object instance